Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class ArgumentList

    java.lang.Object
      mycompiler.mystatement.ArgumentList

    public class ArgumentList

extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` | `expr`

Constructor Summary
`ArgumentList()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_codegen_ArgumentList(de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.Object` | `get_firstElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr

    public de.dhbwstuttgart.typeinference.Menge expr

Constructor Detail

### ArgumentList

    public ArgumentList()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Throws:
    `JVMCodeException`

### get_codegen_ArgumentList

    public java.lang.String get_codegen_ArgumentList(de.dhbwstuttgart.typeinference.Menge paralist)

### get_firstElement

    public java.lang.Object get_firstElement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD